Bug 735602 - dracut seems to be calling btrfsck wrong
Summary: dracut seems to be calling btrfsck wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 23:01 UTC by Sven Lankes
Modified: 2012-01-23 09:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-23 09:25:21 UTC


Attachments (Terms of Use)

Description Sven Lankes 2011-09-03 23:01:04 UTC
Seeing this issue on two machines - one KVM-Guest installed @alpha-Time 
and one bare metal machine updated from F15.

During bootup it shows:

Cound not open -a
dracut Warning: btrfsck returned with 1

This doesn't stop the machines from booting but looks wrong anyway.

btrfs-progs-0.19-16.fc15.x86_64
dracut-013-7.fc16.noarch

Comment 1 Diego Calleja 2011-09-21 22:08:35 UTC
This also happened to me in a F15 with a F16 dracut package. In my case, dracut loops over the btrfsck and can't boot. Reverting to the F15 package fixed it.

Comment 2 Harald Hoyer 2011-09-22 13:19:38 UTC
would these packages fix your issue?
http://harald.fedorapeople.org/downloads/dracut/dracut-013-12.fc16/

Comment 3 Sven Lankes 2011-09-22 19:39:46 UTC
(In reply to comment #2)

> would these packages fix your issue?
> http://harald.fedorapeople.org/downloads/dracut/dracut-013-12.fc16/

I haven't double checked but I'm guessing that those 013-12 packages
are the same that I got through todays yum update. Those don't fix
the issue.

I've recreated the initramfs after installing the packages and looking 
at fs-lib.sh it seems that btrfsck is still called with the -a parameter
(which it doesn't understand).

Comment 4 Harald Hoyer 2011-09-23 07:52:52 UTC
(In reply to comment #3)
> (In reply to comment #2)
> 
> > would these packages fix your issue?
> > http://harald.fedorapeople.org/downloads/dracut/dracut-013-12.fc16/
> 
> I haven't double checked but I'm guessing that those 013-12 packages
> are the same that I got through todays yum update. Those don't fix
> the issue.
> 
> I've recreated the initramfs after installing the packages and looking 
> at fs-lib.sh it seems that btrfsck is still called with the -a parameter
> (which it doesn't understand).

doh.. copied the wrong version... here you go:

http://harald.fedorapeople.org/downloads/dracut/dracut-013-13.fc16/

Comment 5 Sven Lankes 2011-09-23 09:03:38 UTC
That one fixes it for me, thanks.

Comment 6 Fedora Admin XMLRPC Client 2011-10-20 16:19:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.